stage:setBackgroundColor(0,0,0,255)

--[[ !!!
make sure to set this FALSE everytime you run the first time after you CHANGE
guy class or machine class. Otherwise it the loaded objects are corrupt.
]]
enableLoadGuy = true

-- load guy if enableLoadGuy is true and the file is there. Otherwise create new guy
if enableLoadGuy == true then
	if isFile("|D|testguy.txt") == true then
		guy = lady.load_all("|D|testguy.txt")
	else
		guy = TestGuy:new()
	end
else
	guy = TestGuy:new()
end

--add all Labels and a button; see uiStuff.lua
generateLabels()
generateButton()

-- notice how all functions calls in this event listener still work after saving/loading the object
randomizeButton:addEventListener(Event.MOUSE_UP, function()
	-- below function also calls guy.machine:randomizeStats()
	guy:randomizeStats()
	
	-- update the labels so we see the change
	nameLabel:setText(guy:nameMessage())
	powerLabel:setText(guy:powerMessage())
	machineValLabel:setText(guy.machine:valueMessage())
end)

-- save EVERYTHING about our guy
stage:addEventListener(Event.APPLICATION_EXIT, function()
	guy.name = "saved guy"
	lady.save_all("|D|testguy.txt", guy)
end)